Subject: Re: Load testing of git

From: Thomas Koch <[email-masked]>
Date: Sun, 24 Feb 2013 17:58:16 +0100

Yuri Mikhailov:
> Dear Git community,
> 
> I am a Software Developer and I have been using git for a while.
> Currently my company is looking for a version control system to use
> and we find Git a good candidate for us. But what is important for us
> to know is scalability of this VCS. Does anyone performed load testing
> of Git? What is the practical maximum number of files and revisions
> this system can handle?
> 
> Best regards,
> Iurii Mykhailov

Have a look at the projects using Git[1]. There are for sure projects that 
exceeds the scalability you're thinking about. The linux Kernel might be the 
biggest project.

[1] https://git.wiki.kernel.org/index.php/GitProjects

Thomas Koch, http://www.koch.ro